## ros-noetic-ros-ign-gazebo 0.111.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_gazebo)

find_package(catkin
  REQUIRED
  COMPONENTS
    roscpp
)

message(STATUS "Compiling against Ignition Citadel")

find_package(ignition-gazebo3 REQUIRED)
set(IGN_GAZEBO_VER ${ignition-gazebo3_VERSION_MAJOR})

find_package(ignition-transport8 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})

find_package(ignition-msgs5 REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})

ign_find_package(gflags
    REQUIRED
    PKGCONFIG gflags)

catkin_package()


include_directories(include ${catkin_INCLUDE_DIRS})

set(cpp_execs
  create
)

foreach(exec ${cpp_execs})
  add_executable(${exec} src/${exec}.cpp)
  target_link_libraries(${exec}
    ${catkin_LIBRARIES}
    gflags
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  install(TARGETS ${exec}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endforeach()

install(
  PROGRAMS
    scripts/ign_gazebo
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION})

install(
  DIRECTORY
    launch/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-noetic-ros-ign-gazebo (0.111.0-1buster) buster; urgency=high

  * Noetic support (#93 <https://github.com/osrf/ros_ign/issues/93>)
    Co-authored-by: Jose Luis Rivero <mailto:jrivero@osrfoundation.org>
  * Choose collection based on environment variable (#72 <https://github.com/osrf/ros_ign/issues/72>)
    * Choose collection based on the environment variable IGNITION_VERSION
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.2-1buster) buster; urgency=high

  * Merge pull request #77 <https://github.com/osrf/ros_ign/issues/77> from ignitionrobotics/j-rivero-patch-2
    Change ignition-gazebo2 from exec_depend to build_depend in ros_ign_gazebo
  * Change ignition-gazebo2 from exec_depend to build_depend in ros_ign_gazebo
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.1-1buster) buster; urgency=high

  * Merge pull request #71 <https://github.com/osrf/ros_ign/issues/71> from ignitionrobotics/0_9_0gazebo2_fix
    Fix gazebo version in package.xml files
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.0-1buster) buster; urgency=high

  * ros_ign_gazebo package, with launch and spawn (#60 <https://github.com/ignitionrobotics/ros_ign/issues/60>)
    * create ros_ign_gazebo package and move ign_gazebo exec and launch files there
    * Port create executable from create branch - ROS interface to spawn entities
    * use correct gflags key
    * PR feedback
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

## ros-noetic-ros-ign-gazebo 0.111.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,16 +8,43 @@
     roscpp
 )
 
-message(STATUS "Compiling against Ignition Citadel")
+# Fortress
+if ("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
+  find_package(ignition-transport11 REQUIRED)
+  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})
 
-find_package(ignition-gazebo3 REQUIRED)
-set(IGN_GAZEBO_VER ${ignition-gazebo3_VERSION_MAJOR})
+  find_package(ignition-msgs8 REQUIRED)
+  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})
 
-find_package(ignition-transport8 REQUIRED)
-set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})
+  find_package(ignition-gazebo6 REQUIRED)
+  set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})
 
-find_package(ignition-msgs5 REQUIRED)
-set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})
+  message(STATUS "Compiling against Ignition Fortress")
+# Edifice
+elseif ("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
+  find_package(ignition-transport10 REQUIRED)
+  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})
+
+  find_package(ignition-msgs7 REQUIRED)
+  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})
+
+  find_package(ignition-gazebo5 REQUIRED)
+  set(IGN_GAZEBO_VER ${ignition-gazebo5_VERSION_MAJOR})
+
+  message(STATUS "Compiling against Ignition Edifice")
+# Default to Citadel
+else()
+  find_package(ignition-transport8 REQUIRED)
+  set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})
+
+  find_package(ignition-msgs5 REQUIRED)
+  set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})
+
+  find_package(ignition-gazebo3 REQUIRED)
+  set(IGN_GAZEBO_VER ${ignition-gazebo3_VERSION_MAJOR})
+
+  message(STATUS "Compiling against Ignition Citadel")
+endif()
 
 ign_find_package(gflags
     REQUIRED

=== debian/changelog ===
ros-noetic-ros-ign-gazebo (0.111.2-1focal) focal; urgency=high

  * [noetic] 🏁 Dome EOL (#197 <https://github.com/osrf/ros_ign/issues/197>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-noetic-ros-ign-gazebo (0.111.1-1focal) focal; urgency=high

  * [noetic] Update version docs, add Fortress (#166 <https://github.com/osrf/ros_ign/issues/166>)
  * [noetic] Edifice support (#139 <https://github.com/osrf/ros_ign/issues/139>)
  * Add dome + melodic to CI (#126 <https://github.com/osrf/ros_ign/issues/126>)
  * [noetic] Update releases (#106 <https://github.com/osrf/ros_ign/issues/106>)
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.111.0-1focal) focal; urgency=high

  * Noetic support (#93 <https://github.com/osrf/ros_ign/issues/93>)
    Co-authored-by: Jose Luis Rivero <mailto:jrivero@osrfoundation.org>
  * Choose collection based on environment variable (#72 <https://github.com/osrf/ros_ign/issues/72>)
    * Choose collection based on the environment variable IGNITION_VERSION
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.2-1focal) focal; urgency=high

  * Merge pull request #77 <https://github.com/osrf/ros_ign/issues/77> from ignitionrobotics/j-rivero-patch-2
    Change ignition-gazebo2 from exec_depend to build_depend in ros_ign_gazebo
  * Change ignition-gazebo2 from exec_depend to build_depend in ros_ign_gazebo
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.1-1focal) focal; urgency=high

  * Merge pull request #71 <https://github.com/osrf/ros_ign/issues/71> from ignitionrobotics/0_9_0gazebo2_fix
    Fix gazebo version in package.xml files
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo (0.9.0-1focal) focal; urgency=high

  * ros_ign_gazebo package, with launch and spawn (#60 <https://github.com/ignitionrobotics/ros_ign/issues/60>)
    * create ros_ign_gazebo package and move ign_gazebo exec and launch files there
    * Port create executable from create branch - ROS interface to spawn entities
    * use correct gflags key
    * PR feedback
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-ros-ign-gazebo
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libignition-gazebo3-dev, ros-noetic-catkin, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ros-ign-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libignition-gazebo3-dev, ros-noetic-roscpp
Description: Tools for using Ignition Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-ign-gazebo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
